import java.util.*;

class iterator 
{
    public static void main(String args[]) 
    {
        LinkedList arraylist = new LinkedList();
        
        arraylist.add("Item 0");
        arraylist.add("Item 1");
        arraylist.add("Item 2");
        arraylist.add("Item 3");
        arraylist.add("Item 4");
        arraylist.add("Item 5");
        arraylist.add("Item 6");

        Iterator iterator = arraylist.iterator();

        while(iterator.hasNext()) {
            System.out.println(iterator.next());
        }
    }
}
